Ondersteuning » Code oplossingen gezocht » Code die ik niet begrijp

  • Opgelost yasminezilt

    (@yasminezilt)


    Beste

    Ik ontdek vandaag dat onze site spicyfox.be offline is. Het is niet mogelijk om de site te bekijken en ook niet om op de backend te geraken.
    Het is een site waar niet veel aan veranderd moet worden, waardoor ik niet weet hoe lang het probleem zich al voor doet. Ik heb een backup van 2 weken geleden teruggeplaats, maar dan was het probleem duidelijk al aanwezig. Ik heb geen oudere backup.

    Dit is de foutcode die ik krijg, maar ik begrijp hier niet veel van en weet niet hoe ik het kan oplossen.

    Wed Jul 05 11:25:07.096918 2023] [error] [pid 3379714] mod_proxy_fcgi.c(887): [client 159.223.33.58:0] AH01071: Got error ‘PHP message: PHP Warning:  Use of undefined constant WP_CONTENT_DIR – assumed ‘WP_CONTENT_DIR’ (this will throw an Error in a future version of PHP) in /data/sites/web/spicyfoxbe/www/wp-admin/includes/upgrade.php on line 12PHP message: PHP Fatal error:  Uncaught Error: Call to undefined function get_locale() in /data/sites/web/spicyfoxbe/www/wp-admin/includes/admin.php:16\nStack trace:\n#0 /data/sites/web/spicyfoxbe/www/wp-admin/includes/upgrade.php(17): require_once()\n#1 /data/sites/web/spicyfoxbe/www/wp-admin/install.php(39): require_once(‘/data/sites/web…’)\n#2 {main}\n  thrown in /data/sites/web/spicyfoxbe/www/wp-admin/includes/admin.php on line 16′

    Alvast bedankt voor de hulp

    De pagina waar ik hulp bij nodig heb: [log in om de link te zien]

5 reacties aan het bekijken - 1 tot 5 (van in totaal 5)
  • Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Ik zie dat de site het bij mij nu wel doet, heb je al een oplossing gevonden?

    WP_CONTENT_DIR is een constante die je in je wp-config.php bestand kan stoppen, als je niet de gebruikelijke en standaard /wp-content/uploads/ map wilt gebruiken. Heb je zelf iets veranderd aan je site of een update geïnstalleerd net voor dit probleem er was? Indien niet, heeft je web host mogelijks de PHP versie verhoogd, en kan dit eventueel daar mee te maken hebben gehad.

    Thread starter yasminezilt

    (@yasminezilt)

    Dag Jeroen
    Bedankt voor het antwoord.

    De site is inderdaad terug online, ik heb toch nog een backup terug kunnen plaatsen. Maar ik begrijp echt niet wat er met de website gebeurd is. Als ik gisteren in mijn wp config keek stonden hier maar 5 regels code in, terwijl als ik nu de wp config open doe van de backup staat hier veel meer tekst in. Dit is een website waar nooit iets moet aan veranderd worden en hier is dus ook al maanden niets aan veranderd.

    Het is wel een site die in een hosting pakket zit die automatisch alles update, zou het kunnen dat hier iets verkeerd gegaan is?

    Alvast bedankt!

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Dat kan zeker, elke update kan foutlopen, maar bij updates wordt je wp-config.php bestand niet echt aangeroerd, dus dat is wel vreemd … Misschien kan je webhost je nog verder helpen uitpluizen wat er fout ging. Is alles nu up to date en blijft alles werken?

    Thread starter yasminezilt

    (@yasminezilt)

    Heb inderdaad contact opgenomen met de webhost om te onderzoeken wat er gebeurd is.

    Ondertussen werkt alles terug, hopelijk blijft hij dat ook doen.

    Bedankt voor het antwoord alvast!

    Check even de PHP versie van jouw server. Kan zijn dat je door het automatisch updaten plugins hebt die niet meer compatible zijn met een eventueel oudere PHP versie. WordPress zelf is redelijk backward compatible, maar pluginbouwers investeren doorgaans niet heel lang in de ondersteuning van oudere PHP versies.

5 reacties aan het bekijken - 1 tot 5 (van in totaal 5)
  • Het onderwerp ‘Code die ik niet begrijp’ is gesloten voor nieuwe reacties.